Bug 1164058 - [f21] wrong default groups for fedora user
Summary: [f21] wrong default groups for fedora user
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm-ostree
Version: 27
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Colin Walters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-14 02:26 UTC by Dusty Mabe
Modified: 2018-11-30 17:39 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1178208 (view as bug list)
Environment:
Last Closed: 2018-11-30 17:39:39 UTC
Type: Bug


Attachments (Terms of Use)

Description Dusty Mabe 2014-11-14 02:26:45 UTC
Description of problem:

When booting an atomic f21 beta image [1] the groups for the fedora user are wrong as compared to the f21 cloud base image beta [2].

[1] - https://kojipkgs.fedoraproject.org//work/tasks/8904/8118904/Fedora-Cloud-Atomic-20141112-21.x86_64.qcow2
[2] - http://download.fedoraproject.org/pub/fedora/linux/releases/test/21-Beta/Cloud/Images/x86_64/Fedora-Cloud-Base-20141029-21_Beta.x86_64.qcow2


<<< Fedora 21 Atomic >>> 
[fedora@atest ~]$ rpm -qa | grep rpm-ostree
rpm-ostree-2014.104-3.fc21.x86_64
[fedora@atest ~]$ id -nG
fedora
[fedora@atest ~]$ journalctl -b
No journal files were found.

<<< Fedora 21 Cloud Beta >>>
[fedora@tester ~]$ id -nG
fedora adm wheel systemd-journal
[fedora@tester ~]$ journalctl -b | head -n 1
-- Logs begin at Wed 2014-11-12 14:00:11 UTC, end at Fri 2014-11-14 02:01:01 UTC. --


Version-Release number of selected component (if applicable):
Fedora-Cloud-Atomic-20141112-21.x86_64.qcow2

How reproducible:
Always


Steps to Reproduce:
1. Download image and boot.
2. run id and view groups don't include adm,wheel,systemd-journal

Actual results:
[fedora@atest ~]$ id -nG
fedora

Expected results:
[fedora@tester ~]$ id -nG
fedora adm wheel systemd-journal


Additional info:
Mailing list discussion:
https://lists.projectatomic.io/projectatomic-archives/atomic-devel/2014-September/msg00036.html

Upstream possible cause:
https://github.com/projectatomic/rpm-ostree/issues/29

Comment 1 Colin Walters 2014-11-17 21:29:01 UTC
This will be fixed for F21 as soon as we get a new rpm-ostree deployed.

Comment 2 Dusty Mabe 2014-11-20 16:51:21 UTC

See https://lists.projectatomic.io/projectatomic-archives/atomic-devel/2014-November/msg00055.html.

Also see https://github.com/projectatomic/rpm-ostree/issues/29

TL;DR groups are broken in atomic right now but will be fixed soon.

Comment 3 Lars Kellogg-Stedman 2014-11-20 17:00:25 UTC
The problem:

NSS on fedora atomic is configured using the "altfiles" module, which looks in both /etc/group and /lib/group for group information.

/lib/group is on a read-only filesystem, so it cannot be modified.

If you try to add a user to a group, like this:

    usermod -G docker fedora

It will fail, because (a) there is no "docker" group in /etc/group, and (b) while there is a "docker" group in /lib/group, that file cannot be modified.

A workaround is:

  cat /lib/group /etc/group> /etc/group.new
  mv /etc/group.new /etc/group

Now group changes will work as expected.

Comment 4 Dusty Mabe 2015-01-06 16:43:15 UTC
I accidentally cloned 11178208 from 164058. This was a mistake.

Comment 5 Dusty Mabe 2017-06-14 13:25:35 UTC
still a problem in f25:

cloud base:
```
[fedora@cloudhost ~]$ id -nG
fedora adm wheel systemd-journal
```

atomic host:

```
[fedora@cloudhost ~]$ id -nG
fedora wheel
```

#50 [1] added wheel. #49 [1] is the ultimate solution to this problem.

[1] https://github.com/projectatomic/rpm-ostree/pull/50
[2] https://github.com/projectatomic/rpm-ostree/issues/49

Comment 6 Dusty Mabe 2017-06-14 13:26:14 UTC
Moving to fedora

Comment 7 Jan Kurik 2017-08-15 07:03:23 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 8 Ben Cotton 2018-11-27 18:37:53 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Ben Cotton 2018-11-30 17:39:39 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.